Skip to main content
GET
/
api
/
external
/
liveops
List live operations
curl --request GET \
  --url https://gateway-api.guardhousehq.com/api/external/liveops \
  --header 'Authorization: Bearer <token>' \
  --header 'external-gh-apim-sub-key: <external-gh-apim-sub-key>'
{
  "isSuccess": true,
  "statusMessage": "<string>",
  "status": 123,
  "errorMessages": [
    {}
  ],
  "errorMessagesAsString": "<string>",
  "data": [
    {
      "companyName": "<string>",
      "name": "<string>",
      "siteName": "<string>",
      "customerName": "<string>",
      "startTime": "2023-11-07T05:31:56Z",
      "endTime": "2023-11-07T05:31:56Z",
      "timeIn": "2023-11-07T05:31:56Z",
      "timeOut": "2023-11-07T05:31:56Z",
      "status": "CLOCKED IN",
      "inSignatureUrl": "<string>",
      "outSignatureUrl": "<string>",
      "inPhotoUrl": "<string>",
      "outPhotoUrl": "<string>",
      "inLatitude": 123,
      "inLongitude": 123,
      "outLatitude": 123,
      "outLongitude": 123,
      "startTimeTZ": "2023-11-07T05:31:56Z",
      "endTimeTZ": "2023-11-07T05:31:56Z",
      "timeInTZ": "2023-11-07T05:31:56Z",
      "timeOutTZ": "2023-11-07T05:31:56Z",
      "subcontractorName": "<string>",
      "eventID": "<string>",
      "mobile": "<string>",
      "email": "jsmith@example.com",
      "address": "<string>",
      "calledAt": "2023-11-07T05:31:56Z",
      "calledBy": 123,
      "entryTypeID": 123,
      "isClockInOffSite": true,
      "isClockOutOffSite": true,
      "calledByFullName": "<string>",
      "inEnteredByFullName": "<string>",
      "outEnteredByFullName": "<string>",
      "licenses": [
        {}
      ],
      "welfareCheckResponses": [
        {
          "timesheetEntryId": 123,
          "welfareCheckId": 123,
          "dateSent": "2023-11-07T05:31:56Z",
          "hasResponse": true,
          "type": "<string>",
          "parentWelfareCheckId": 123,
          "managerCheck": true,
          "managerEmployee": "<string>",
          "followUps": [
            {}
          ]
        }
      ],
      "welfareCheckNotifResponses": [
        {
          "timesheetEntryId": 123,
          "welfareCheckId": 123,
          "dateSent": "2023-11-07T05:31:56Z",
          "hasResponse": true,
          "type": "<string>",
          "parentWelfareCheckId": 123,
          "managerCheck": true,
          "managerEmployee": "<string>",
          "followUps": [
            {}
          ]
        }
      ],
      "statusText": "<string>",
      "publishedShiftID": 123,
      "sitePositionName": "<string>",
      "shiftId": 123
    }
  ],
  "nextPageParameter": "<string>",
  "prevPageParameter": "<string>"
}

Authorizations

Authorization
string
header
required

JWT issued by POST /api/token/request. Send as Authorization: Bearer <token>.

Headers

external-gh-apim-sub-key
string
required

Region-specific Guardhouse subscription key. Use the AU key with the AU base URL and the UK key with the UK base URL.

Query Parameters

startDate
string<date-time>

Start date for filtering results (ISO-8601 date-time).

endDate
string<date-time>

End date for filtering results (ISO-8601 date-time).

siteName
string

Filter by site name.

siteId
string

Filter by site ID.

customerName
string

Filter by customer name.

customerId
string

Filter by customer ID.

fullName
string

Filter by employee full name.

subcontractorName
string

Filter by subcontractor name.

status
string

Filter by event status, such as CLOCKED IN.

limit
integer<int32>
default:100

Maximum number of records to return.

referenceId
integer<int32>

Unique ID of the last record received. Use with referenceDateTime to fetch records after this cursor.

referenceName
string

Cursor anchor name when paginating across name-sorted results.

referenceDateTime
string<date-time>

Timestamp of the last record received. Use with referenceId to fetch records after this cursor.

searchText
string

Free-text search filter.

direction
enum<string>
default:next

Cursor pagination direction.

Available options:
next,
prev

Response

Live operations response

Live Operations API envelope.

isSuccess
boolean
statusMessage
string
status
integer<int32>
errorMessages
object[]
errorMessagesAsString
string
data
object[]
nextPageParameter
string | null

Serialized cursor for the next page, for example {"ReferenceId":24915663,"ReferenceDateTime":"2025-07-25T09:00:00"}.

prevPageParameter
string | null